Endpoints
List Connected Platforms
List Mallary-supported platforms and see which ones are connected for the authenticated account.
GET
/
api
/
v1
/
platforms
List connected platforms
curl --request GET \
--url https://mallary.ai/api/v1/platforms \
--header 'Authorization: Bearer <token>'import requests
url = "https://mallary.ai/api/v1/platforms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mallary.ai/api/v1/platforms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": {
"platforms": [
{
"connected": true
}
],
"profile_id": "<string>",
"default_profile_id": "<string>",
"profiles": [
{
"id": "AbC123xYz90",
"name": "<string>",
"is_default": true,
"connected_platforms": [],
"platform_profiles": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"connected": [],
"disconnected": [],
"counts": {
"connected": 123,
"supported": 123
},
"limits": {
"max_accounts_per_platform": 123
}
}
}Use
profile_id to read a non-default connection profile. The response also includes the profile list, default profile id, and the plan’s per-platform account cap.Authorizations
Use Authorization: Bearer {api_key}
Query Parameters
Connection profile to inspect. Omit to use the default profile.
Random public connection profile ID returned by GET /api/v1/profiles.
Pattern:
^[A-Za-z0-9]{6,32}$Example:
"AbC123xYz90"
Last modified on July 30, 2026
Was this page helpful?
⌘I
List connected platforms

